# List

Launch stage: GA

`GET /api/2.0/lakeview/dashboards/{dashboard_id}/schedules`

List dashboard schedules.

API scopes: dashboards

## Path parameters

- `dashboard_id` (string, optional)
  UUID identifying the dashboard to which the schedules belongs.
  Example: `04aab30f99ea444490c10c85852f216c`

## Query parameters

- `page_size` (int32, optional)
  The number of schedules to return per page.
  Default: `20`
  Constraints: `[ 1 .. 100 ]`
- `page_token` (string, optional)
  A page token, received from a previous `ListSchedules` call.
   Use this to retrieve the subsequent page.
  Example: `EAI=`

## Returns

Returns a list of Schedule objects.

## Response

```json
{
  "schedules": [
    {
      "schedule_id": "01ef0cb45e2a1da4a61950e9b8789ce9",
      "dashboard_id": "04aab30f99ea444490c10c85852f216c",
      "cron_schedule": {},
      "pause_status": "string",
      "display_name": "Monthly Traffic Report Snapshot",
      "etag": "80611980",
      "create_time": "string",
      "update_time": "string",
      "warehouse_id": "47bb1c472649e711"
    }
  ],
  "next_page_token": "EAI="
}
```

